#!/bin/sh
#
# Inspired on http://gnuplot.sourceforge.net/demo/heatmaps.html
# colormaps: http://t16web.lanl.gov/Kawano/gnuplot/plotpm3d2-e.html
#
gnuplot << EOF
set terminal png size 800,600 enhanced font "Helvetica, 12"
set output '$1.png'
unset key
set view map
set xlabel "Block size X"
set ylabel "Block size Y"
set title "Kernel gputime vs. block size -- $1"
set xtics border in scale 0,0
set ytics border in scale 0,0
set ztics border in scale 0,0
set cblabel "gputime"
set xrange [ 2.5 : 32.5 ]
set yrange [ 2.5 : 32.5 ]
set logscale zcb 2
set palette rgbformulae -7, -5, -15
plot "$1" using 1:2:3 with image
EOF
